Bug 252586 - Game names in combobox of the statistics dialog are untranslated
Summary: Game names in combobox of the statistics dialog are untranslated
Status: RESOLVED FIXED
Alias: None
Product: kpat
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Stephan Kulow
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-27 22:09 UTC by Burkhard Lück
Modified: 2010-11-04 22:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
addding missing i18n() for combobox items (460 bytes, patch)
2010-09-28 10:05 UTC, Burkhard Lück
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Burkhard Lück 2010-09-27 22:09:25 UTC
Version:           unspecified (using Devel) 
OS:                Linux

Game names in combobox of the statistics dialog are untranslated

Reproducible: Always

Steps to Reproduce:
run kpat in locale x-test (KDE_LANG=x-test kpat), open statistics dialog with Game->Statistics. 
Game names are untranslated :(
Comment 1 Burkhard Lück 2010-09-28 10:05:19 UTC
Created attachment 52038 [details]
addding missing i18n() for combobox items
Comment 2 Parker Coates 2010-11-04 22:56:48 UTC
SVN commit 1193161 by coates:

Rework the DealerInfo class to improve robustness.

This may be overkill, but it makes the DealerInfo class much easier to
use. Translation duties have been moved inside the class to ensure the
developer gets a translated string unless he explicitly requests the
untranslated bytes. The base ID and the subtype IDs are handled
separately inside the class and there are explicit getters for each.

BUG:252586

 M  +53 -10    dealerinfo.cpp  
 M  +17 -6     dealerinfo.h  
 M  +1 -1      gameselectionscene.cpp  
 M  +2 -15     klondike.cpp  
 M  +6 -6      main.cpp  
 M  +9 -5      mainwindow.cpp  
 M  +2 -11     numbereddealdialog.cpp  
 M  +3 -18     spider.cpp  
 M  +2 -11     statisticsdialog.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1193161